import { ComponentRender } from '@zeedhi/common';
import { IHighlight } from './interfaces';
export declare class Highlight extends ComponentRender implements IHighlight {
    /**
     * Max height in pixels. 'none' means no limit.
     */
    maxHeight: string;
    language: string;
    readonly: boolean;
    lineNumbers: boolean;
    autoStyleLineNumbers: boolean;
    tabSize: number | string;
    insertSpaces: boolean;
    enableFullscreen?: boolean;
    enableCopy?: boolean;
    code: string;
    private fullscreenModal?;
    loadExtraLanguages?: string | Function;
    tooltipText: string;
    ignoreTabKey: boolean;
    constructor(props: IHighlight);
    /**
     * Get the code highlighted
     */
    getHighlightedCode(): any;
    fullscreenClick(): void;
    get isFullscreen(): boolean | undefined;
    private openFullscreenModal;
    /**
     * Copy the component content to clipboard
     */
    copyToClipboard(): Promise<void>;
    private changeTooltipText;
    private closeModal;
}
